/*
 ==============================================================================================================================================
 Author      : CHEONG SE HANG (dit.dhc@lostcity-studio.com)
 Description : Logging.
 ==============================================================================================================================================
 */
#ifndef LOG_H_
#define LOG_H_
/*---------------------------------------------------------------------------------------------------------------------------------------------
 *
 *                                                                  Constants
 *
 *-------------------------------------------------------------------------------------------------------------------------------------------*/
#define LOGGING_ENABLE      /* Enable logging. */
#define LOGGING_SCR         /* Print log to screen. */
#define LOGGING_W2D         /* Write to Disk flag; comment it to disable writing logs to disk. */




/*---------------------------------------------------------------------------------------------------------------------------------------------
 *
 *                                                              Public Functions
 *
 *-------------------------------------------------------------------------------------------------------------------------------------------*/
/**
 * @param msg       ANSI characters.
 */
#ifdef LOGGING_ENABLE
void Log ( char* msg );
#endif




#endif /* LOG_H_ */
